Skip to main content

CoverageEligibilityResponse

Overview

The CoverageEligibilityResponse resource provides eligibility and plan details resulting from processing CoverageEligibilityRequest resources. This resource contains the insurer's response regarding coverage validity and benefit details.

Important: Always validate CoverageEligibilityResponse resource support and available operations by retrieving the current CapabilityStatement from /metadata before implementing integrations.

Resource Schema

The CoverageEligibilityResponse resource follows the HL7 FHIR R4 CoverageEligibilityResponse specification.

Key elements include:

  • identifier - Business identifiers for the response
  • status - Active, cancelled, draft, entered-in-error
  • purpose - Code to identify the general type of benefits
  • patient - Intended recipient of products and services
  • servicedDate - Estimated date or dates of service
  • servicedPeriod - Estimated date or dates of service
  • created - Response creation date
  • requestor - Party responsible for the request
  • request - Eligibility request reference
  • outcome - Processing outcome
  • disposition - Disposition message
  • insurer - Coverage issuer
  • insurance - Patient insurance information
  • preAuthRef - Preauthorization reference
  • form - Printed form identifier
  • error - Processing errors

Example CoverageEligibilityResponse Resource

{
"resourceType": "CoverageEligibilityResponse",
"id": "12345",
"identifier": [{
"system": "http://insurance.example.org/eligibility-responses",
"value": "ER-RESP-2024-001"
}],
"status": "active",
"purpose": ["benefits"],
"patient": {
"reference": "Patient/12345"
},
"servicedDate": "2024-01-20",
"created": "2024-01-15T11:00:00Z",
"requestor": {
"reference": "Organization/hospital-123"
},
"request": {
"reference": "CoverageEligibilityRequest/request-123"
},
"outcome": "complete",
"disposition": "Coverage is active and benefits are available",
"insurer": {
"reference": "Organization/insurance-456"
},
"insurance": [{
"coverage": {
"reference": "Coverage/coverage-123"
},
"inforce": true,
"benefitPeriod": {
"start": "2024-01-01",
"end": "2024-12-31"
},
"item": [{
"category": {
"coding": [{
"system": "http://terminology.hl7.org/CodeSystem/ex-benefitcategory",
"code": "medical",
"display": "Medical"
}]
},
"network": {
"coding": [{
"system": "http://terminology.hl7.org/CodeSystem/benefit-network",
"code": "in",
"display": "In Network"
}]
},
"benefit": [{
"type": {
"coding": [{
"system": "http://terminology.hl7.org/CodeSystem/benefit-type",
"code": "deductible",
"display": "Deductible"
}]
},
"allowedMoney": {
"value": 1000,
"currency": "USD"
},
"usedMoney": {
"value": 250,
"currency": "USD"
}
}]
}]
}]
}

Supported Profiles

This API supports the following FHIR profiles:

Operations

info

Support for the different types of Conditions may vary by CareRecord. Please consult your target solution's documentation for more information.

The General Purpose FHIR R4 CoverageEligibilityResponse resource supports the following standard operations. However, support varies by the targeted CareRecord or solution.

CareRecord / SolutionCreateReadUpdateSearch
GEHRIMED----
myAvatarYesYesYesYes
myEvolv----
myUnity----
Referral Manager----

This resource supports a combination of standard and custom search parameters in addition to the common parameters.

Standard Parameters

NameTypeDescription
patientreferenceREQUIRED Unique identifier of the patient.

Custom Parameters

NameTypeDescription
encounterreferenceUnique identifier of the Practitioner.

Search Examples

The POST method is recommended as it keeps health information out of the URL.

Search by Patient
curl -X POST https://fhir.netsmartcloud.com/v4/CoverageEligibilityResponse/_search \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json" \
-H "Content-Type: application/x-form-urlencoded" \
-d "patient=Patient/234"

Error Handling

For information about error responses when working with CoverageEligibilityResponse resources, see Common Errors.

Common CoverageEligibilityResponse-related errors include:

  • Missing required patient reference
  • Invalid request or insurer references
  • Malformed benefit amounts or dates
  • Invalid coverage references

Integration Patterns

Benefits Verification

Retrieve eligibility responses:

# Get eligibility responses for patient
curl -X GET "https://fhir.netsmartcloud.com/v4/CoverageEligibilityResponse?patient=12345" \
-H "Authorization: Bearer {token}" \
-H "Accept: application/fhir+json"

Claims Processing

Check benefit details before claims:

# Get response by encounter
curl -X GET "https://fhir.netsmartcloud.com/v4/CoverageEligibilityResponse?encounter=67890" \
-H "Authorization: Bearer {token}" \
-H "Accept: application/fhir+json"

Financial Counseling

Review patient benefits and deductibles:

# Get specific eligibility response
curl -X GET "https://fhir.netsmartcloud.com/v4/CoverageEligibilityResponse/12345" \
-H "Authorization: Bearer {token}" \
-H "Accept: application/fhir+json"

Relationships to Other Resources

The CoverageEligibilityResponse resource connects to several administrative resources:

Support

For questions about CoverageEligibilityResponse resource implementation or insurance verification workflows, contact Netsmart support through your designated support channels.